%define oname   launchy

Name:       ruby-%{oname}
Version:    0.3.7
Release:    %mkrel 3
Summary:    Helper class for launching cross-platform applications
Group:      Development/Ruby
License:    ISC License
URL:        http://copiousfreetime.rubyforge.org/launchy/
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
Patch0:     launchy-0.3.7-fix-rspec-call.patch
BuildRequires: rubygems
BuildRequires: rubygem(configuration)
BuildRequires: rubygem(rspec)
BuildRequires: rubygem(rcov)
Requires:   ruby(abi) = 1.8
BuildArch:  noarch

%description
Launchy is helper class for launching cross-platform applications in a
fire and forget manner.
There are application concepts (browser, email client, etc) that are
common across all platforms, and they may be launched differently on
each platform.  Launchy is here to make a common approach to launching
external application from within ruby programs.

%files
%defattr(-, root, root, -)
%{_bindir}/launchy
%dir %{ruby_gemdir}/gems/%{oname}-%{version}/
%{ruby_gemdir}/gems/%{oname}-%{version}/bin
%{ruby_gemdir}/gems/%{oname}-%{version}/lib
%{ruby_gemdir}/specifications/%{oname}-%{version}.gemspec

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
%files          doc
%defattr(-,root,root,-)
%doc %{ruby_gemdir}/doc/%{oname}-%{version}
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/README
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/HISTORY
%doc %{ruby_gemdir}/gems/%{oname}-%{version}/LICENSE
#-------------------------------------------------------------------------------

%prep
%setup -q
tar xmf data.tar.gz
%patch0 -p0

%build
%gem_build

%install
rm -rf %{buildroot}
%gem_install

%check
rspec --format documentation spec/*.rb

%clean
rm -rf %{buildroot}



%changelog
* Sun Feb 06 2011 shikamaru <shikamaru> 0.3.7-3.mga1
+ Revision: 47826
- Add check section
- add patch for rspec2
- bump release

* Thu Feb 03 2011 shikamaru <shikamaru> 0.3.7-2.mga1
+ Revision: 46651
- imported package ruby-launchy


* Wed Jan 26 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.3.7-2mdv2011.0
- Apply new ruby policy
- Apply general mageia policy

* Wed Nov 03 2010 Rémy Clouard <shikamaru@mandriva.org> 0.3.7-1mdv2011.0
+ Revision: 592972
- import rubygem-launchy

